package com.javapapers.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;
import com.javapapers.model.Resource;

@Configuration
@PropertySource({"classpath:default.properties","classpath:application.properties"})
public class RestAPIURLConfig {
    
	@Value("${restapi.url}")
    private String restAPIUrl;
	
	@Bean
    protected Resource database() {
		Resource resource = new Resource();
		resource.setUrl(restAPIUrl);
        return resource;
    }
	
	@Bean
	public static PropertySourcesPlaceholderConfigurer xxxpropertyConfig() {
		return new PropertySourcesPlaceholderConfigurer();
	}
}
